summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Donald Cooley2017-01-23 11:07:22 +0100
committer Willy Sudiarto Raharjo2017-01-24 01:23:05 +0100
commita881a728ef9c6260ccea37918999ce55640c9fc5 (patch)
tree5686aca25a19c45fcd96c3e8a7b8e86f6083d971
parent20cd729f912362bcf06a5aac2e9b4af1a1bb3345 (diff)
downloadslackbuilds-a881a728ef9c6260ccea37918999ce55640c9fc5.tar.gz
network/quassel: Updated for version 0.12.4.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/quassel/README15
-rw-r--r--network/quassel/README.SBo19
-rw-r--r--network/quassel/quassel.SlackBuild34
-rw-r--r--network/quassel/quassel.info8
-rw-r--r--network/quassel/slack-desc16
5 files changed, 55 insertions, 37 deletions
diff --git a/network/quassel/README b/network/quassel/README
index 8cea1d7008..1d76bcd7e2 100644
--- a/network/quassel/README
+++ b/network/quassel/README
@@ -1,8 +1,9 @@
-quassel (A cross platform IRC client)
+Quassel IRC is a modern, cross-platform, distributed IRC client, meaning
+that one (or multiple) client(s) can attach to and detach from a central
+core - much like the popular combination of screen and a text-based IRC
+client such as WeeChat, but graphical.
-quassel is based on the qt4 platform. The quassel core connects to
-servers and the quassel client connects to quassel core over the
-internet. It means you can retain your IRC sessions even if your
-X session is blowed up. Multiple clients can attach to and detach
-from a central core. It's like a combination of GNU screen with
-such console IRC clients as weechat, bitchX, and irssi.
+This build creates three binaries - quassel, quasselclient, and
+quasselcore.
+
+Please see the README.SBo file for a fuller description.
diff --git a/network/quassel/README.SBo b/network/quassel/README.SBo
new file mode 100644
index 0000000000..205e9cf90e
--- /dev/null
+++ b/network/quassel/README.SBo
@@ -0,0 +1,19 @@
+From the Quassel wiki at:
+http://bugs.quassel-irc.org/projects/quassel-irc/wiki
+
+Quassel is a program to connect to an IRC network. It has the unique
+ability to split the graphical component (quasselclient) from the part
+that handles the IRC connection (quasselcore). This means that you can
+have a remote core permanently connected to one or more IRC networks and
+attach a client from wherever you are without moving around any
+information or settings. However, Quassel can easily behave like any
+other client by combining them into one binary which is referred to as
+"Quassel Mono".
+
+In simpler terms, the "monolithic" client is a response to requests for
+a client that behaves like every other IRC client. The monolithic client
+(GUI) is what makes the connections to the IRC networks. In normal
+operation, the client (GUI) connects to a core, it is completely
+incapable of connecting to anything else. The core receives connections
+from clients, and makes connections to the IRC networks, it also handles
+logging (currently everything gets put in the database).
diff --git a/network/quassel/quassel.SlackBuild b/network/quassel/quassel.SlackBuild
index a1913e3b37..c213376d44 100644
--- a/network/quassel/quassel.SlackBuild
+++ b/network/quassel/quassel.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for quassel
# Written by crocket (crockabiscuit@gmail.com)
-# Updated by Donald Cooley <dfc@warpmail.net>
+# Copyright 2017 Donald Cooley South Haven, IN USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,13 +24,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=quassel
-VERSION=${VERSION:-0.10.1}
+VERSION=${VERSION:-0.12.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -41,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -61,14 +61,14 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
mkdir -p build
cd build
@@ -76,15 +76,12 @@ cd build
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_INSTALL_PREFIX=/usr \
+ -DWANT_CORE=ON \
-DWANT_MONO=ON \
+ -DWANT_QTCLIENT=ON \
-DWITH_KDE=ON \
- -DWITH_OPENSSL=ON \
- -DWITH_DBUS=ON \
-DWITH_WEBKIT=ON \
- -DWITH_CRYPT=ON \
-DWITH_OXYGEN=OFF \
- -DWITH_PHONON=ON \
- -DWITH_LIBINDICATE=ON \
-DSTATIC=OFF \
-DEMBED_DATA=OFF \
-DCMAKE_BUILD_TYPE=Release \
@@ -93,12 +90,13 @@ cd build
make install DESTDIR=$PKG
cd ..
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING ChangeLog INSTALL README \
+cp -a AUTHORS COPYING INSTALL README ChangeLog gpl-2.0.txt gpl-3.0.txt \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/network/quassel/quassel.info b/network/quassel/quassel.info
index 4247d14d4a..44c71460da 100644
--- a/network/quassel/quassel.info
+++ b/network/quassel/quassel.info
@@ -1,10 +1,10 @@
PRGNAM="quassel"
-VERSION="0.10.1"
+VERSION="0.12.4"
HOMEPAGE="http://quassel-irc.org/"
-DOWNLOAD="http://quassel-irc.org/pub/quassel-0.10.1.tar.bz2"
-MD5SUM="a4175cad5eb567391d33593a7268b57b"
+DOWNLOAD="https://github.com/quassel/quassel/archive/0.12.4/quassel-0.12.4.tar.gz"
+MD5SUM="026f981427fc23002b4827ec6cbd8c26"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
MAINTAINER="Donald Cooley"
-EMAIL="dfc@warpmail.net"
+EMAIL="chytraeu@sdf.org"
diff --git a/network/quassel/slack-desc b/network/quassel/slack-desc
index 17ff8ecf54..9594e39123 100644
--- a/network/quassel/slack-desc
+++ b/network/quassel/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-quassel: quassel (A cross platform IRC client)
+quassel: quassel (A modern, cross-platform, distributed IRC client)
quassel:
-quassel: quassel is based on the qt4 platform. The quassel core connects to
-quassel: servers and the quassel client connects to quassel core over the
-quassel: internet. It means you can retain your IRC sessions even if your
-quassel: X session is blowed up. Multiple clients can attach to and detach
-quassel: from a central core. It's like a combination of GNU screen with
-quassel: such console IRC clients as weechat, bitchX, and irssi.
+quassel: Quassel IRC is a modern, cross-platform, distributed IRC client,
+quassel: meaning that one (or multiple) client(s) can attach to and detach
+quassel: from a central core - much like the popular combination of screen and
+quassel: a text-based IRC client such as WeeChat, but graphical.
quassel:
-quassel: Website : http://quassel-irc.org/
+quassel:
+quassel:
+quassel: http://quassel-irc.org
quassel: